Name:		tkdiff
Version:	4.2
Release:	%mkrel 4
Summary:	A tcl/tk based graphical interface to the DIFF utility
License:	GPLv2
Group:		Development/Other
URL:		http://tkdiff.sourceforge.net/
Source0:	http://sourceforge.net/projects/tkdiff/files/%{name}/%{version}/%{name}-%{version}.tar.gz
# desktop, icon and man files are provided from ALT linux distribution.
Source1:	tkdiff.desktop
Source2:	tkdiff.png
Source3:	tkdiff.1
BuildArch:	noarch

Requires:	diffutils
Requires:	tk

%description
tkdiff is a graphical front end to the diff program. It provides a side-by-side
view of the differences between two files, along with several innovative
features such as diff bookmarks and a graphical map of differences for quick
navigation.

%prep
%setup -q -n %{name}-unix

chmod 0644 README.txt

%build

%install
# binary-repertory
mkdir -p %{buildroot}%{_bindir}
install -m 0755 tkdiff %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# icons-repertory
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# man-repertory
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 4.2-4.mga6
+ Revision: 931724
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.2-3.mga5
+ Revision: 749245
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2-2.mga5
+ Revision: 689903
- Mageia 5 Mass Rebuild

* Sun Mar 23 2014 david-david <david-david> 4.2-1.mga5
+ Revision: 606971
- imported package tkdiff

